For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all floor plans
        • GETGet floor plan by ID
        • GETGet all units
        • GETGet a unit by ID
        • PUTUpdate Unit: Rent Manager
        • POSTCreate Unit Custom Data: Rent Manager
        • PUTUpdate Unit Custom Data: Rent Manager
        • POSTCreate Unit Files: Rent Manager
        • POSTCreate Unit Note: Rent Manager
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Rent ManagerUnits

Create Unit Note: Rent Manager

POST
/v1/units/rentmanager/:unit_id/notes/
POST
/v1/units/rentmanager/:unit_id/notes/
$curl -X POST https://api.propexo.com/v1/units/rentmanager/unit_id/notes/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "integration_id": "rm-integration-987654321",
> "notes": "Routine maintenance completed on HVAC system. Filters replaced and system tested."
>}'
1{
2 "meta": {
3 "job_id": "job-20240615-123456"
4 },
5 "result": {
6 "integration_id": "rm-integration-987654321",
7 "unit_id": "unit-12345",
8 "category_id": "maintenance-note",
9 "notes": "Routine maintenance completed on HVAC system. Filters replaced and system tested.",
10 "attachment": {
11 "file_name": "maintenance_report.pdf",
12 "mime_type": "application/pdf",
13 "file_data": "SGVsbG8gV29ybGQ=",
14 "file_type": "Document"
15 }
16 }
17}
Note: In the case of a failed file upload, we will attempt to upload the file again if we receive a 500 runtime error from Rent Manager. If the file is still not uploaded, we will return an error. | Method | |---| | POST /Units/HistoryNotes | | POST /HistoryNotes/{noteId}/UploadAttachments | <Note title="Notice">Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.</Note>
Was this page helpful?
Previous

Get all vendors

Next
Built with

Note: In the case of a failed file upload, we will attempt to upload the file again if we receive a 500 runtime error from Rent Manager. If the file is still not uploaded, we will return an error.

Method
POST /Units/HistoryNotes
POST /HistoryNotes/{noteId}/UploadAttachments
Notice
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

unit_idstringRequired
The ID of the resource.

Request

This endpoint expects an object.
integration_idstringRequired
The Propexo unique identifier for the integration
notesstringRequired
Notes associated with the unit
category_idstringOptional
The Propexo unique identifier for the note category. Some properties may require a category be passed in
attachmentobjectOptional
Attachment files for notes on the unit

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error